Bug 32323

Summary: Correct focus state of some DataTables controls
Product: Koha Reporter: Owen Leonard <oleonard>
Component: TemplatesAssignee: Owen Leonard <oleonard>
Status: RESOLVED FIXED QA Contact: Katrin Fischer <katrin.fischer>
Severity: minor    
Priority: P5 - low CC: jonathan.druart+koha, lucas
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.01
Bug Depends on: 30952    
Bug Blocks:    
Attachments: Screenshot of the button focus state
Bug 32323: Correct focus state of some DataTables controls
Bug 32323: Correct focus state of some DataTables controls
Bug 32323: Correct focus state of some DataTables controls

Description Owen Leonard 2022-11-22 17:08:57 UTC
Created attachment 144166 [details]
Screenshot of the button focus state

If you use the tab key to navigate through DataTables controls, some of the buttons have a style which is out of place in our design. See screenshot attached.
Comment 1 Owen Leonard 2022-11-22 17:20:20 UTC
Created attachment 144168 [details] [review]
Bug 32323: Correct focus state of some DataTables controls

This patch makes changes to the style of some DataTable controls in
order to make hover, active, and focus states more consistent.

To test, apply the patch and rebuild the staff interface css.

View a page that has a DataTable showing controls like "Columns,"
"Export," and "Configure." For example: Saved reports, Libraries,
Overdues.

 - Click the DataTables search form to put cursor focus there.
 - Use the tab key to move through the next buttons.
 - The style should now be more consistent with the appearance of other
   similar buttons in the staff client.
 - Test with and without text in the search filter.
 - Test pages which don't have the full set of controls, e.g. the
   table of of a patron's checkouts.
Comment 2 David Nind 2022-11-22 22:59:13 UTC
Created attachment 144179 [details] [review]
Bug 32323: Correct focus state of some DataTables controls

This patch makes changes to the style of some DataTable controls in
order to make hover, active, and focus states more consistent.

To test, apply the patch and rebuild the staff interface css.

View a page that has a DataTable showing controls like "Columns,"
"Export," and "Configure." For example: Saved reports, Libraries,
Overdues.

 - Click the DataTables search form to put cursor focus there.
 - Use the tab key to move through the next buttons.
 - The style should now be more consistent with the appearance of other
   similar buttons in the staff client.
 - Test with and without text in the search filter.
 - Test pages which don't have the full set of controls, e.g. the
   table of of a patron's checkouts.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2022-11-23 09:14:17 UTC
Where is coming from #ADADAD?
Comment 4 Katrin Fischer 2022-12-07 21:40:56 UTC
Created attachment 144495 [details] [review]
Bug 32323: Correct focus state of some DataTables controls

This patch makes changes to the style of some DataTable controls in
order to make hover, active, and focus states more consistent.

To test, apply the patch and rebuild the staff interface css.

View a page that has a DataTable showing controls like "Columns,"
"Export," and "Configure." For example: Saved reports, Libraries,
Overdues.

 - Click the DataTables search form to put cursor focus there.
 - Use the tab key to move through the next buttons.
 - The style should now be more consistent with the appearance of other
   similar buttons in the staff client.
 - Test with and without text in the search filter.
 - Test pages which don't have the full set of controls, e.g. the
   table of of a patron's checkouts.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2022-12-13 12:48:26 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Martin Renvoize 2022-12-15 13:48:50 UTC
Nice work everyone!

Pushed to 22.11.x for the next release